import RPi.GPIO as GPIO
from time import time, sleep

GPIO.setmode(GPIO.BCM)

# piny pro dalkomer
TRIG = 23
ECHO = 24

# nastaveni odpovidajicich pinu jako vstup a vystup
GPIO.setup(TRIG,GPIO.OUT)
GPIO.setup(ECHO,GPIO.IN)

# log. 0 na pin triggeru
GPIO.output(TRIG,False)

def vzdalenost(trigger, echo):
    '''Vrati vzdalenost v mm.
    '''
    zacatek_pulzu=0; konec_pulzu=0
    GPIO.output(trigger,True)
    # log. 1 na trigger pro vyslani pulzu
    sleep(0.00001)
    GPIO.output(trigger,False)
    # cekani na zacatek ozveny
    while GPIO.input(echo)==0:
        zacatek_pulzu=time()
    # mereni doby ozveny odpovidajici dobe putovani pulzu
    while GPIO.input(echo)==1:
        konec_pulzu=time()
	# vypocet vzdalenosti vzorcem (doba/2)/rychlost_zvuku a zaokrouhleni
    return round((konec_pulzu - zacatek_pulzu) *171500)

# zavolani funkce na zmereni vzdalenosti a vypsani vracene hodnoty
print vzdalenost(TRIG, ECHO)

# uklizeni pred ukoncemi programu
GPIO.cleanup()
