import socket
from struct import unpack

# poslech na vsech interface
HOST = ''
# port pro prijem
PORT = 25000

# vytvoreni objektu pro UDP prijem
# AF_INET ... internet, SOCK_DGRAM ... UDP
sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
# svazani socketu s adresou a portem
sock.bind((HOST, PORT))

try:
    while True:
        # prijem paketu a zaznamenani adresy odesilatele
        data,adresa = sock.recvfrom(256)
        # rozbaleni prijateho paketu typu double
        data = unpack('d',data)
        print(data[0])
except KeyboardInterrupt:
    print("preruseno")
finally:
    sock.close()
