from time import sleep
import RPi.GPIO as GPIO

# nastaveni cislovani pinu
GPIO.setmode(GPIO.BCM)

# nastaveni pouziteho pinu
GPIO.setup(26, GPIO.IN, pull_up_down=GPIO.PUD_UP)

STOP = 0

# funkce volana pri interruptu
def buttonPressed(channel):
    # globalni promennou pro zapis nutno volat pres global
    global STOP
    STOP = 1

# detekce udalosti
GPIO.add_event_detect(26, GPIO.RISING, callback=buttonPressed, bouncetime=150)

# telo programu
try:
    while not STOP:
        sleep(1)

except Exception as e:
    print(e)
finally:
    GPIO.cleanup()
    print "All cleaned up."
