import serial
from os import listdir

# pripojeni k seriove lince
if 'ttyUSB0' in listdir('/dev/'):
    cesta = '/dev/ttyUSB0'
else:
    cesta='/dev/ttyUSB1'
# vytvoreni objektu na seriove lince
arduinoSerialData = serial.Serial(cesta,timeout=1,baudrate=9600)

def posli_a_cekej(zprava,serial):
    '''Posle zpravu, nasledne vycisti zasobnik a ceka na odpoved. '''
    # promenna pro odpoved
    vystup = ''
    predchozi = 'xxx'
    # vycisteni zasobniku
    serial.flushInput()
    serial.flushOutput()
    # poslani zpravy
    serial.write(zprava)
    while True:
        vystup+=serial.read()
        #pokud se vystup uz nezmeni, tak ho funkce vrati
        if vystup==predchozi:
            return vystup
        predchozi=vystup

# telo programu
while True:
    print posli_a_cekej(raw_input('zprava na poslani: '),arduinoSerialData)
